import { AttributeBase } from './attribute-base';
import { FormControl, FormGroup } from '@angular/forms';
import { DomainValueValidator } from './attribute-validators';
import { EntityService } from '../entity.service';
import { Attribute } from '../entity';
export declare class AttributeControlService {
    private entityService;
    private domainValueValidator;
    private specialInputCtrls;
    constructor(entityService: EntityService, domainValueValidator: DomainValueValidator);
    toAttributeControl(attributes: Attribute[]): AttributeBase[];
    _generateDropdownList(domainID: string, attributeControl: AttributeBase): void;
    _setDecimalPattern(attributeControl: AttributeBase, attribute: Attribute): void;
    convertToFormControl(attribute: Attribute, instance: any): FormControl;
    convertToFormGroup(attributes: Attribute[], instance: any, isDirty?: boolean): FormGroup;
    switch2EditMode4SpecialCtrls(): void;
    switch2DisplayMode4SpecialCtrls(): void;
}
